org.eclipse.microprofile.health.tck

## Class SingleStartnessSuccessfulTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.health.tck.TCKBase
    - - org.eclipse.microprofile.health.tck.SingleStartnessSuccessfulTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class SingleStartnessSuccessfulTest
    extends TCKBase

Author:
  Martin Stefanko

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.microprofile.health.tck.TCKBase

`TCKBase.Response`

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`SingleStartnessSuccessfulTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.Archive` `getDeployment()`
`void` `testSuccessResponsePayload()` Verifies the startness integration with CDI at the scope of a server runtime

### Methods inherited from class org.eclipse.microprofile.health.tck.TCKBase

`beforeMethod`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SingleStartnessSuccessfulTest

    public SingleStartnessSuccessfulTest()

### Method Detail

#### getDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.Archive getDeployment()

#### testSuccessResponsePayload

    @RunAsClient
    public void testSuccessResponsePayload()

Verifies the startness integration with CDI at the scope of a server runtime